%define upstream_name    Sex
%define upstream_version 0.69

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl teaches the birds and the bees
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Heterogeneous recombination of Perl packages.

Given two (or more, I'm a liberal guy) packages, Sex.pm will recombine
their symbols at random recombining them into the new module thus providing
a cross-section of its functions and global variables. It will also push
the parent classes onto the child's @ISA array.

So you could do:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.690.0-11.mga10
+ Revision: 2200633
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.690.0-10.mga9
+ Revision: 1805669
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.690.0-9.mga8
+ Revision: 1497149
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.690.0-8.mga7
+ Revision: 1271161
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.690.0-7.mga6
+ Revision: 1033038
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.690.0-6.mga6
+ Revision: 934825
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.690.0-5.mga5
+ Revision: 740461
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.690.0-4.mga5
+ Revision: 686194
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.690.0-3.mga4
+ Revision: 514616
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.690.0-2.mga3
+ Revision: 372622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.690.0-1.mga2
+ Revision: 163167
- imported package perl-Sex

